Summary: Open Graphics Transformation Languages
Name: opengtl
Version: 0.9.18
Release: %mkrel 6
Source0: http://www.opengtl.org/download/OpenGTL-%{version}.tar.xz
Patch0: OpenGTL-0.9.18-pkgconfig_llvm_libs_private.patch
Patch1: opengtl-0.9.18-llvm-3.4.patch
Patch2: opengtl-0.9.18-llvm-3.4-no-really.patch
Patch3: 1792.patch
Patch4: 1793.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.opengtl.org/
BuildRequires: cmake
BuildRequires: zlib-devel
BuildRequires: png-devel
BuildRequires: llvm >= 3.4.1
Requires: llvm >= 3.4.1
Provides: OpenGTL = %version

%description
Graphics Transformation Languages is a set of library for using and
integrating transformation algorithms (such as filter or color conversion)
in graphics applications

%files
%{_bindir}/*
%{_libdir}/GTLImageIO
%{_datadir}/OpenGTL
%{_datadir}/doc/OpenGTL/shiva/ShivaRef.pdf

#--------------------------------------------------------------------

%define libgtlcore_major 0
%define libgtlcore %mklibname gtlcore %libgtlcore_major

%package -n %libgtlcore
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libgtlcore
OpenGTL core library.

%files -n %libgtlcore
%_libdir/libGTLCore.so.%{libgtlcore_major}*

#--------------------------------------------------------------------

%define libgtlimageio_major 0
%define libgtlimageio %mklibname gtlimageio %libgtlimageio_major

%package -n %libgtlimageio
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libgtlimageio
OpenGTL core library.

%files -n %libgtlimageio
%_libdir/libGTLImageIO.so.%{libgtlimageio_major}*

#--------------------------------------------------------------------

%define libopenctl_major 0
%define libopenctl %mklibname openctl %libopenctl_major

%package -n %libopenctl
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libopenctl
OpenGTL core library.

%files -n %libopenctl
%_libdir/libOpenCTL.so.%{libopenctl_major}*

#--------------------------------------------------------------------

%define libopenshiva_major 0
%define libopenshiva %mklibname openshiva %libopenshiva_major

%package -n %libopenshiva
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libopenshiva
OpenGTL core library.

%files -n %libopenshiva
%_libdir/libOpenShiva.so.%{libopenshiva_major}*

%define libgtlfragment_major 0
%define libgtlfragment %mklibname gtlfragment %libgtlfragment_major

%package -n %libgtlfragment
Summary: OpenGTL core library
Group: System/Libraries

%description -n %libgtlfragment
OpenGTL core library.

%files -n %libgtlfragment
%_libdir/libGTLFragment.so.%{libgtlfragment_major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %develname
Summary: OpenGTL development files
Group: Development/Libraries
Requires: %libgtlcore = %{version}-%{release}
Requires: %libopenshiva = %{version}-%{release}
Requires: %libopenctl = %{version}-%{release}
Requires: %libgtlimageio = %{version}-%{release}
Provides: OpenGTL-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: OpenCTL-devel = %{version}-%{release}
Provides: openctl-devel = %{version}-%{release}

%description -n %develname
This package contains header files needed if you wish to build applications
based on OpenGTL.

%files -n %develname
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------------

%prep
%setup -q -n OpenGTL-%{version}
%apply_patches

%build
%cmake
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build



%changelog
* Sat Jun 28 2014 bb <bb> 0.9.18-6pclos2014
- rebuild llvm 3.4.2

* Mon May 12 2014 bb <bb> 0.9.18-5pclos2014
- rebuild llvm 3.4.1

* Tue May 06 2014 bb <bb> 0.9.18-4pclos2014
- rebuild new llvm

* Mon May 05 2014 bb <bb> 0.9.18-3pclos2014
- rebuild

* Mon Sep 02 2013 bb <bb> 0.9.18-2pclos2013
- rebuild against backdowned mesa/llvm

* Wed Aug 29 2013 bb <bb> 0.9.18-1pclos2013
- update

* Sat Oct 22 2011 Texstar <texstar at gmail.com> 0.9.15.1-1pclos2011
- 0.9.15.1
